# hinos-route
A plugin helps route request for [hinos](https://github.com/doanthuanthanh88/hinos)

# Install
```nodejs
npm i hinos-bodyparser -S
```

# Examples

### Typescript
```nodejs
import { Server } from 'hinos';
import { route } from 'hinos-route';

Server.use(route(path.join(__dirname, 'path to folder which contains controller classes')));
```

### Javascript
```nodejs
const hinos = require("hinos");
const hinosRoute = require("hinos-route");

hinos.Server.use(hinosRoute.route(path.join(__dirname, 'path to folder which contains controller classes')));
```