import { Context, Server } from 'hinos';
import { Logger } from 'log4js';
export declare function RouteConfig(controllerDirs: string | string[], opts: {
    logger?: Logger;
    ignorecase?: boolean;
    root?: string;
    onInit?: (method: string, path: string | RegExp) => void;
    handlers?: {
        onRouted: (_ctx: Context) => void | Promise<void>;
        onFinished: (_ctx: Context) => void | Promise<void>;
    }[];
}): Server.Middleware;
export declare namespace route {
    function bindRoutes(method: string, path: string | RegExp, ...cbs: Server.Middleware[]): void;
}
export declare function INJECT(cb: Server.Middleware): Function;
export declare function ALL(pathStr: string | RegExp): Function;
export declare function GET(pathStr: string | RegExp): Function;
export declare function POST(pathStr: string | RegExp): Function;
export declare function PUT(pathStr: string | RegExp): Function;
export declare function DELETE(pathStr: string | RegExp): Function;
export declare function HEAD(pathStr: string | RegExp): Function;
export declare function PATCH(pathStr: string | RegExp): Function;
